Bug 2075820 - vultr-cli-2.14.2 is available
Summary: vultr-cli-2.14.2 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vultr-cli
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Major Hayden 🤠
QA Contact:
URL:
Whiteboard:
Depends On: 2037585
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-15 13:52 UTC by Upstream Release Monitoring
Modified: 2022-07-01 01:16 UTC (History)
1 user (show)

Fixed In Version: vultr-cli-2.14.2-1.fc36 vultr-cli-2.14.2-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-01 01:06:12 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2022-04-15 13:52:27 UTC
Latest upstream release: 2.13.0
Current version/release in rawhide: 2.12.2-1.fc37
URL: https://github.com/vultr/vultr-cli

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/241430/

Comment 1 Major Hayden 🤠 2022-04-18 11:56:00 UTC
Requires the new VPC features in govultr 2.15.

Comment 2 Major Hayden 🤠 2022-04-18 12:13:47 UTC
Built govultr 2.15.1 in COPR along with vultr-cli 2.13.0: https://copr.fedorainfracloud.org/coprs/mhayden/vultr/monitor/

PR made for BZ 2037585: https://src.fedoraproject.org/rpms/golang-github-vultr-govultr-2/pull-request/3

Comment 3 Major Hayden 🤠 2022-05-05 12:57:03 UTC
Made a new PR in BZ 2037585 for govultr 2.16.0: https://src.fedoraproject.org/rpms/golang-github-vultr-govultr-2/pull-request/4

Comment 4 Upstream Release Monitoring 2022-05-10 05:35:23 UTC
Latest upstream release: 2.14.0
Current version/release in rawhide: 2.12.2-1.fc37
URL: https://github.com/vultr/vultr-cli

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/241430/

Comment 5 Major Hayden 🤠 2022-05-10 11:52:32 UTC
Still waiting on BZ 2037585.

Comment 6 Upstream Release Monitoring 2022-06-04 00:33:36 UTC
Releases retrieved: 2.14.1
Upstream release that is considered latest: 2.14.1
Current version/release in rawhide: 2.12.2-1.fc37
URL: https://github.com/vultr/vultr-cli

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/241430/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/vultr-cli

Comment 7 Upstream Release Monitoring 2022-06-15 09:39:47 UTC
Releases retrieved: 2.14.2
Upstream release that is considered latest: 2.14.2
Current version/release in rawhide: 2.12.2-1.fc37
URL: https://github.com/vultr/vultr-cli

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/241430/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/vultr-cli

Comment 8 Major Hayden 🤠 2022-06-22 12:32:11 UTC
PR https://src.fedoraproject.org/rpms/vultr-cli/pull-request/2

Comment 9 Major Hayden 🤠 2022-06-22 12:38:05 UTC
Looks like this one now requires govultr 2.17.2. 🤦🏻‍♂️

https://github.com/vultr/vultr-cli/blob/6687a00aaf9af6814530585615689a76512904f5/go.mod

Comment 10 Fedora Update System 2022-06-22 14:37:39 UTC
FEDORA-2022-fc3d9f70fd has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-fc3d9f70fd

Comment 11 Fedora Update System 2022-06-22 14:40:27 UTC
FEDORA-2022-fc3d9f70fd has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-06-22 15:05:01 UTC
FEDORA-2022-e674d52438 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e674d52438

Comment 13 Fedora Update System 2022-06-22 15:47:00 UTC
FEDORA-2022-d55f2b16b1 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d55f2b16b1

Comment 14 Fedora Update System 2022-06-23 01:19:30 UTC
FEDORA-2022-e674d52438 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-e674d52438`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e674d52438

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-06-23 03:16:53 UTC
FEDORA-2022-d55f2b16b1 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-d55f2b16b1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d55f2b16b1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-07-01 01:06:12 UTC
FEDORA-2022-e674d52438 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-07-01 01:16:33 UTC
FEDORA-2022-d55f2b16b1 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.